%define name dopi
%define version 0.3.4
%define svn 240
%define release %mkrel 2.%svn.6

Summary: Song uploader for the Apple iPod
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://www.snorp.net/files/dopi/%{name}-r%{svn}.tar.bz2
Patch: dopi-238-desktopentry.patch
License: GPL
Group: Sound
Url: http://www.snorp.net/log/dopi/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: mono-devel
BuildRequires: ipod-sharp
BuildRequires: glade-sharp2
BuildRequires: glib2-devel
BuildRequires: taglib-sharp
BuildRequires: ndesk-dbus-glib
BuildRequires: intltool
BuildRequires: gnome-common

%description
Dopi is an application that allows you to update the songs stored on
your Apple iPod®, similar to gtkpod.

%prep
%setup -q -n %name
%patch -p0
./autogen.sh

%build
%configure2_5x
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
%if %_lib != lib
mv %buildroot%_prefix/lib/%name/* %buildroot%_libdir/%name/
perl -pi -e "s^%_prefix/lib^%_libdir^" %buildroot%_bindir/%name
%endif
rm -f %buildroot%_libdir/%name/libbacon*a %buildroot%_libdir/%name/ipod-sharp*
ln -s %_prefix/lib/ipod-sharp/ipod-sharp* %buildroot%_libdir/%name/

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database

%postun
%clean_desktop_database

%files
%defattr(-,root,root)
%_bindir/%name
%_libdir/%name
%_datadir/applications/%name.desktop




%changelog
* Sun Mar 21 2010 Götz Waschk <waschk@mandriva.org> 0.3.4-2.240.6mdv2010.1
+ Revision: 526071
- rebuild for new taglib-sharp

* Fri Feb 26 2010 Götz Waschk <waschk@mandriva.org> 0.3.4-2.240.5mdv2010.1
+ Revision: 511480
- rebuild for new taglib-sharp

* Thu Jan 28 2010 Götz Waschk <waschk@mandriva.org> 0.3.4-2.240.4mdv2010.1
+ Revision: 497544
- rebuild for new taglib-sharp

* Thu Oct 15 2009 Götz Waschk <waschk@mandriva.org> 0.3.4-2.240.3mdv2010.0
+ Revision: 457629
- rebuild for new taglib-sharp

* Sun Mar 01 2009 Götz Waschk <waschk@mandriva.org> 0.3.4-2.240.2mdv2009.1
+ Revision: 346287
- rebuild for new taglib-sharp

* Tue Jun 10 2008 Götz Waschk <waschk@mandriva.org> 0.3.4-2.240.1mdv2009.0
+ Revision: 217465
- new snapshot
- depend on external taglib-sharp

* Thu Mar 06 2008 Götz Waschk <waschk@mandriva.org> 0.3.4-2.238.2mdv2008.1
+ Revision: 180319
- add support for autostart from nautilus
- add missing scripts

* Thu Feb 21 2008 Götz Waschk <waschk@mandriva.org> 0.3.4-2.238.1mdv2008.1
+ Revision: 173516
- fix buildrequires
- readd taglib
- svn snapshot
- fix desktop entry
- remove taglib-sharp

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Wed Nov 01 2006 Götz Waschk <waschk@mandriva.org> 0.3.4-2mdv2007.0
+ Revision: 75013
- fix path on x86_64
- Import dopi

* Wed Nov 01 2006 Götz Waschk <waschk@mandriva.org> 0.3.4-1mdv2007.1
- initial package

